[llvm-commits] CVS: llvm-test/RunSafely.sh

Reid Spencer reid at x10sys.com
Thu May 17 20:34:41 PDT 2007



Changes in directory llvm-test:

RunSafely.sh updated: 1.30 -> 1.31
---
Log message:

Don't execute ulimit in a sub-shell as its effects are only for the shell
that it executes in. Use "eval" instead of "sh -c". This also saves a fork.

Patch by Emil Mikulic


---
Diffs of the changes:  (+2 -1)

 RunSafely.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


Index: llvm-test/RunSafely.sh
diff -u llvm-test/RunSafely.sh:1.30 llvm-test/RunSafely.sh:1.31
--- llvm-test/RunSafely.sh:1.30	Fri May  4 16:31:42 2007
+++ llvm-test/RunSafely.sh	Thu May 17 22:34:23 2007
@@ -35,6 +35,7 @@
 #     <program> is the path to the program to run
 #     <args...> are the arguments to pass to the program.
 #
+
 if [ $# -lt 4 ]; then
   echo "./RunSafely.sh <timeout> <exitok> <infile> <outfile> <program> <args...>"
   exit 1
@@ -102,7 +103,7 @@
 fi
 
 if [ "x$RHOST" = x ] ; then
-  ( sh -c "$ULIMITCMD"; time -p sh -c "$COMMAND >$OUTFILE 2>&1 < $INFILE" ; echo exit $? ) 2>&1 \
+  ( eval $ULIMITCMD time -p sh -c "$COMMAND >$OUTFILE 2>&1 < $INFILE" ; echo exit $? ) 2>&1 \
     | awk -- '\
 BEGIN     { cpu = 0.0; }
 /^user/   { cpu += $2; print; }






More information about the llvm-commits mailing list